<ion-header>
  <ion-toolbar>
    <ion-title>Everi Mobile App Creator Studio</ion-title>
    <ion-buttons slot="end">
      <ion-button id="click-trigger" fill="clear" color="secondary">
        <ion-icon name="person-circle-outline" size="large"></ion-icon>
      </ion-button>
      <ion-popover trigger="click-trigger" triggerAction="click" #popover [isOpen]="isOpen"
        (didDismiss)="isOpen = false">
        <ng-template>
          <ion-content class="ion-padding">
            <ion-item lines="full">
              <ion-text>{{userInformation?.displayName ? userInformation?.displayName :
                userInformation?.email}}
              </ion-text>
            </ion-item>
            <ion-item lines="full">
              <ion-text>
                {{userInformation?.uid ? userInformation?.uid : ''}}
              </ion-text>
            </ion-item>
            <ion-row class="ion-margin-top">
              <ion-col size="12">
                <ion-button expand="block" color="secondary" (click)="registerUser()">
                  <ion-icon name="person-add-sharp" slot="start"></ion-icon>
                  Add New User
                </ion-button>
              </ion-col>
              <ion-col size="12">
                <ion-button expand="block" color="danger" fill="outline" (click)="authService.SignOut()">
                  <ion-icon name="log-out-sharp" slot="start"></ion-icon>
                  Logout
                </ion-button>
              </ion-col>
            </ion-row>
          </ion-content>
        </ng-template>
      </ion-popover>
    </ion-buttons>
    <ion-progress-bar type="indeterminate" *ngIf="showSkeleton"></ion-progress-bar>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-grid>
    <div *ngIf="showSkeleton">
      <ion-row>
        <ion-col class="dashboard-table-row">
          <ion-card-title class="ion-text-center"><ion-skeleton-text [animated]="true"
              style="width: 80%;"></ion-skeleton-text></ion-card-title>
          <ion-card-subtitle class="ion-text-center"><ion-skeleton-text [animated]="true"
              style="width: 80%;"></ion-skeleton-text></ion-card-subtitle>
        </ion-col>
      </ion-row>
    </div>
    <div *ngIf="!showSkeleton">
      <ion-row *ngIf="appsListCount === 0" class="dashboard-table-row">
        <ion-col size="12">
          <ion-card-title color="primary" class="ion-text-center">No Apps Found</ion-card-title>
          <ion-card-subtitle class="ion-text-center">No apps added yet in the list</ion-card-subtitle>
        </ion-col>
        <ion-fab vertical="bottom" horizontal="end">
          <ion-fab-button color="secondary" (click)="createNewApp()">
            <ion-icon name="add"></ion-icon>
          </ion-fab-button>
        </ion-fab>
      </ion-row>
      <ion-row *ngIf="appsListCount !== 0" class="dashboard-table-row">
        <ion-col>
          <ion-searchbar placeholder="Search by App Name or Project Name" class="ion-margin-bottom" mode="ios"
            (ionClear)="handleSearchClear()" (ionInput)="handleSearchChange($event)"
            class="customSearchBar"></ion-searchbar>
          <ion-item mode="ios" lines="inset" details="none" *ngFor="let items of appsList;let i = index;">
            <ion-avatar slot="start" class="dashboard-list-avatar">
              <ion-label>
                {{items?.appName?.charAt(0)}}
              </ion-label>
            </ion-avatar>
            <ion-label class="apps-list-text">
              <h2>{{items?.appName}} &nbsp; <ion-badge *ngIf="i === 0"
                  color="success" mode="ios" class="ion-margin-top">Most Recent</ion-badge></h2>
              <h3>{{items?.projectName}}</h3>
              <h3>{{items?.createdBy?.userEmail}}</h3>
              <h3>{{convertTimeStamptoDate(items?.createdOn)}}</h3>
            </ion-label>
            <ion-button mode="md" slot="end" fill="clear" color="primary">
              <ion-icon slot="start" name="pencil"></ion-icon>
              Edit
            </ion-button>
            <ion-button mode="md" slot="end" fill="clear" color="danger">
              <ion-icon slot="start" name="trash"></ion-icon>
              Remove
            </ion-button>
            <ion-button *ngIf="!isAppCreated" mode="md" fill="clear" slot="end" color="success"
              (click)="showAppConfigurationPreview(items)">
              <ion-icon slot="start" name="eye"></ion-icon>
              Preview
            </ion-button>
          </ion-item>
        </ion-col>
        <ion-fab vertical="top" horizontal="end">
          <ion-fab-button color="secondary" (click)="createNewApp()" size="small">
            <ion-icon name="add"></ion-icon>
          </ion-fab-button>
        </ion-fab>
      </ion-row>
    </div>
  </ion-grid>
</ion-content>
<ion-footer>
  <p class="ion-text-center">Version : {{appVersion}}</p>
</ion-footer>